<li class="dropdown languages" th:if="${(#module.isPresent('Theme') and (#theme.attr('showFlags') == null or #theme.attr('showFlags'))) or !#module.isPresent('Theme')}">
    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
        <span id="selectedLocale" th:utext="${session.blLocale.localeCode}" style="display: none" ></span>
        <th:block th:switch="${session.blLocale.localeCode}">
            <img th:case="th_TH" th:src="@{/img/flags/Thailand.png}" alt="Thailand" title="Thai" />
            <img th:case="en_US" th:src="@{/img/flags/United-States.png}" alt="United States" title="English" />
        </th:block>
    </a>

    <ul class="dropdown-menu">
        <li>
            <a  href="javascript:;" onclick="BLC.addUrlParam(document.location.search, 'blLocaleCode', 'th_TH')">
                <img id="th_TH" th:src="@{/img/flags/Thailand.png}" alt="Thailand" title="Thai" /> ภาษาไทย
            </a>
        </li>
        <li>
            <a   href="javascript:;" onclick="BLC.addUrlParam(document.location.search, 'blLocaleCode', 'en_US')">
                <img id="en_US" th:src="@{/img/flags/United-States.png}" alt="United States" title="English" /> English
            </a>
        </li>

    </ul>
</li>